Bug 175017 - Assertion failed! idx >= ARRAY_SIZE(xfer_mode_str),libata-core.c,ata_dev_set_mode,line=1673
Assertion failed! idx >= ARRAY_SIZE(xfer_mode_str),libata-core.c,ata_dev_set_...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.7
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Martuccelli
Brian Brock
: Regression
Depends On:
Blocks: 168426
  Show dependency treegraph
 
Reported: 2005-12-05 14:01 EST by Jeff Burke
Modified: 2007-11-30 17:07 EST (History)
6 users (show)

See Also:
Fixed In Version: RHSA-2006-0144
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-15 11:52:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Burke 2005-12-05 14:01:41 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
SCSI subsystem driver Revision: 1.00
Fusion MPT base driver 2.06.16.01
Copyright (c) 1999-2005 LSI Logic
mptbase: Initiating ioc0 bringup
ioc0: 53C1030: Capabilities={Initiator,Target}
mptbase: 1 MPT adapter found, 1 installed.
Fusion MPT SCSI Host driver 2.06.16.01
scsi0 : ioc0: LSI53C1030, FwRev=01032300h, Ports=1, MaxQ=203, IRQ=42
PCI: Setting latency timer of device 00:1f.2 to 64
ata1: SATA max UDMA/133 cmd 0xBC98 ctl 0xBC92 bmdma 0xBC60 irq 18
ata2: SATA max UDMA/133 cmd 0xBC80 ctl 0xBC7A bmdma 0xBC68 irq 18
ata1: dev 0 ATA-6, max UDMA/133, 488281250 sectors: LBA48
*Assertion failed! idx >=
ARRAY_SIZE(xfer_mode_str),libata-core.c,ata_dev_set_mode,line=1673*
ata1: dev 0 configured for UDMA/133
ATA: abnormal status 0x7F on port 0xBC87
scsi1 : ata_piix
scsi2 : ata_piix
  Vendor: ATA       Model: WDC WD2500JD-75H  Rev: 08.0
  Type:   Direct-Access                      ANSI SCSI revision: 05
Attached scsi disk sda at scsi1, channel 0, id 0, lun 0
SCSI device sda: 488281250 512-byte hdwr sectors (250000 MB)
Partition check:
 sda: sda1 sda2 sda3 sda4 < sda5 >


Version-Release number of selected component (if applicable):
kernel-2.6.9-24.EL

How reproducible:
Always

Steps to Reproduce:
1.Boot with a sata disk on Dell PowerEdge SC 1425 or Dell PowerEdge 1800


  

Actual Results:  Assertion failed! idx >= ARRAY_SIZE(xfer_mode_str),libata-core.c,ata_dev_set_mode,line=1673

Expected Results:  System should boot with no assertion failures

Additional info:

This seems to have started with the patch from jgarzik added to kernel [2.6.9-22.26]

-SATA update (Jeff Garzik) [131889 145061 166862 166880 169488]
Comment 10 Ernie Petrides 2005-12-08 22:12:58 EST
Removing from RHEL4 blocker lists.
Comment 14 Ernie Petrides 2006-01-20 18:41:39 EST
A fix for this problem has just been committed to the RHEL3 U7
patch pool this evening (in kernel version 2.4.21-39.EL).
Comment 17 Red Hat Bugzilla 2006-03-15 11:52:07 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0144.html

Note You need to log in before you can comment on or make changes to this bug.